Description: Strip long integer suffix from strings. A proper fix would be
             more involved so I've opened a bug upstream.
Bug-Ubuntu: https://bugs.launchpad.net/bugs/1552690
Bug-Debian: https://bugs.debian.org/880227
Author: Corey Bryant <corey.bryant@canonical.com>
Forwarded: no

Index: python-oslo.concurrency/oslo_concurrency/tests/unit/test_processutils.py
===================================================================
--- python-oslo.concurrency.orig/oslo_concurrency/tests/unit/test_processutils.py
+++ python-oslo.concurrency/oslo_concurrency/tests/unit/test_processutils.py
@@ -852,7 +852,8 @@ class PrlimitTestCase(test_base.BaseTest
         args = [sys.executable, '-c', code]
         stdout, stderr = processutils.execute(*args, prlimit=prlimit)
         expected = (value, value)
-        self.assertEqual(str(expected), stdout.rstrip())
+        self.assertEqual(str(expected).replace('L',''),
+                         stdout.rstrip().replace('L',''))
 
     def test_address_space(self):
         prlimit = self.limit_address_space()
